%  Script file: ball.m
%
%  Purpose: 
%    To calculate and display the trajectory of a ball
%    thrown upward at a user-specified height and speed. 
%
%  Record of revisions:
%      Date       Programmer          Description of change
%      ====       ==========          =====================
%    11/14/07    S. J. Chapman        Original code 
%
% Define variables:
%   g         -- Acceleration due to gravity (m/s^2)
%   h         -- Height (m)
%   h0        -- Initial height (m)
%   t         -- Time (s)
%   v         -- Vertical Speed (m/s)
%   v0        -- Initial Vertical Speed (m/s)

% Initialize the acceleration due to gravity
g = -9.81;

% Prompt the user for the initial velocity.
v0 = input('Enter the initial velocity of the ball: ');
 
% Prompt the user for the initial height
h0 = input('Enter the initial height of the ball: ');
 
% We will calculate the speed and height for the first 
% 10 seconds of flight.  (Note that this program can be
% refined further once we learn how to use loops in a
% later chapter.  For now, we don't know how to detect
% the point where the ball passes through the ground
% at height = 0.)
t = 0:0.5:10;
h = zeros(size(t));
v = zeros(size(t));
h = 0.5 * g * t .^2 + v0 .* t + h0;
v = g .* t + v0;

% Display the result
plot(t,h,t,v);
title('Plot of height and speed vs time');
xlabel('Time (s)');
ylabel('Height (m) and Speed (m/s)');
legend('Height','Speed');
grid on;

