%  Script file: db_plot.m
%
%  Purpose: 
%    To plot power in watts vs power in dBm on a linear and
%    log scale. 
%
%  Record of revisions:
%      Date       Programmer          Description of change
%      ====       ==========          =====================
%    11/14/07    S. J. Chapman        Original code 
%
% Define variables:
%   dBm       -- Power in dBm
%   pin       -- Power in watts

% Create array of power in watts
pin = 1:2:100;

% Calculate power in dBm
dBm = 10 * log10( pin / 1.0e-3 );

% Plot on linear scale
figure(1);
plot(dBm,pin);
title('Plot of power in watts vs power in dBm');
xlabel('Power (dBm)');
ylabel('Power (watts)');
grid on;

% Plot on semilog scale
figure(2);
semilogy(dBm,pin);
title('Plot of power in watts vs power in dBm');
xlabel('Power (dBm)');
ylabel('Power (watts)');
grid on;
