%  Script file: spring.m
%
%  Purpose: 
%    To calculate the energy stored in a spring. 
%
%  Record of revisions:
%      Date       Programmer          Description of change
%      ====       ==========          =====================
%    11/14/07    S. J. Chapman        Original code 
%
% Define variables:
%   energy    -- Stored energy (J)
%   f         -- Force on spring (N)
%   k         -- Spring constant (N/m)
%   x         -- Displacement (m)

% Prompt the user for the input force and spring constant.
f = input('Enter force on spring (N): ');
k = input('Enter spring constant (N/m): ');

% Calculate displacement x
x = f/k;

% Calculate stored energy
energy = 0.5 * k * x^2;

% Tell user
fprintf('Displacement = %.3f meters\n',x);
fprintf('Stored energy = %.3f joules\n',energy);
