%  Script file: radio.m
%
%  Purpose: 
%    To calculate the resonant frequency of a radio. 
%
%  Record of revisions:
%      Date       Programmer          Description of change
%      ====       ==========          =====================
%    11/14/07    S. J. Chapman        Original code 
%
% Define variables:
%   c         -- Capacitance (F)
%   freq      -- Resonant frequency (Hz)
%   l         -- Inductance (H)

% Prompt the user for the input force and spring constant.
l = input('Enter inductance in henrys: ');
c = input('Enter capacitance in farads: ');

% Calculate resonant frequency
freq = 1 / ( 2 * pi * sqrt(l*c) );

% Tell user
fprintf('Resonant frequency = %.1f Hz\n',freq);
