%  Script file: radio3.m
%
%  Purpose: 
%    To calculate the output power of a radio receiver. 
%
%  Record of revisions:
%      Date       Programmer          Description of change
%      ====       ==========          =====================
%    11/14/07    S. J. Chapman        Original code 
%
% Define variables:
%   c         -- Capacitance (F)
%   freq      -- Resonant frequency (Hz)
%   l         -- Inductance (H)
%   r         -- resistance (ohms)
%   p         -- output power (W)
%   v         -- output viltage (V)
%   v0        -- input voltage (V)
%   w         -- Angular frequency (rad/s)

% Initialise values
c  = 0.1e-9;
l  = 0.25e-3;
r  = 50;

% Get voltage and frequency
v0 = input('Enter voltage (V): ');
freq = input('Enter frequency  (Hz): ');

% Calculate w
w = 2 * pi * freq;

% Calculate output voltage
v =  v0 .* r ./ sqrt( r^2 + (w.*l - 1./(w.*c)).^2 );

% Calculate output power (=v^2/r)
p = v^2 / r;

% Tell user
fprintf('Output power = %f W\n',p);

