%  Script file: turning.m
%
%  Purpose: 
%    To calculate the turning radius of an aircraft flying
%    in a circle, based on speed and max g. 
%
%  Record of revisions:
%      Date       Programmer          Description of change
%      ====       ==========          =====================
%    11/14/07    S. J. Chapman        Original code 
%
% Define variables:
%   g         -- Max acceleration (g)
%   grav      -- Acceleration of gravity (9.81 m/s2)
%   mach1     -- Speed of sound (340 m/s)
%   radius    -- Turning radius (m)
%   speed     -- Aircraft speed in Mach

% Initialise values
grav  = 9.81;
mach1 = 340;

% Get speed and max g
speed = input('Enter speed (Mach): ');
g = input('Enter max acceleration (g): ');

% Calculate radius
radius = (speed * mach1).^ 2 / ( g * grav );

% Tell user
fprintf('Turning radius = %f m\n',radius);

