%  Script file: turning2.m
%
%  Purpose: 
%    To plot the turning radius of an aircraft as a function
%    of speed. 
%
%  Record of revisions:
%      Date       Programmer          Description of change
%      ====       ==========          =====================
%    11/14/07    S. J. Chapman        Original code 
%
% Define variables:
%   g         -- Max acceleration (g)
%   grav      -- Acceleration of gravity (9.81 m/s2)
%   mach1     -- Speed of sound (340 m/s)
%   max_speed -- Maximum speed in Mach numbers
%   min_speed -- Minimum speed in Mach numbers
%   radius    -- Turning radius (m)
%   speed     -- Aircraft speed in Mach

% Initialise values
grav  = 9.81;
mach1 = 340;

% Get speed and max g
min_speed = input('Enter min speed (Mach): ');
max_speed = input('Enter min speed (Mach): ');
g = input('Enter max acceleration (g): ');

% Calculate range of speeds
speed = min_speed:(max_speed-min_speed)/20:max_speed;

% Calculate radius
radius = (speed * mach1).^ 2 / ( g * grav );

% Plot the turning radius versus speed
plot(speed,radius/1000);
title('Plot of turning radius versus speed');
xlabel('Speed (Mach)');
ylabel('Turning radius (km)');
grid on;

