%  Script file: turning3.m
%
%  Purpose: 
%    To plot the turning radius of an aircraft as a function
%    of centripetal acceleration. 
%
%  Record of revisions:
%      Date       Programmer          Description of change
%      ====       ==========          =====================
%    11/14/07    S. J. Chapman        Original code 
%
% Define variables:
%   g         -- Acceleration (g)
%   grav      -- Acceleration of gravity (9.81 m/s2)
%   mach1     -- Speed of sound (340 m/s)
%   max_g     -- Maximum accleration in g's
%   min_g     -- Minimum accleration in g's
%   radius    -- Turning radius (m)
%   speed     -- Aircraft speed in Mach

% Initialise values
grav  = 9.81;
mach1 = 340;

% Get speed and max g
speed = input('Enter speed (Mach): ');
min_g = input('Enter min acceleration (g): ');
max_g = input('Enter min acceleration (g): ');

% Calculate range of accelerations
g = min_g:(max_g-min_g)/20:max_g;

% Calculate radius
radius = (speed * mach1).^ 2 ./ ( g * grav );

% Plot the turning radius versus speed
plot(g,radius/1000);
title('Plot of turning radius versus acceleration');
xlabel('Centripetal acceleration (g)');
ylabel('Turning radius (km)');
grid on;

